Page MenuHomePhabricator

decommission db1101.eqiad.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server db1101.eqiad.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

db1101.eqiad.wmnet

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place. (likely done by script)
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal, and run homer.
  • - remove all remaining puppet references and all host entries in the puppet repo
  • - reassign task from service owner to DC ops team member and site project (ops-sitename) depending on site of server

End service owner steps / Begin DC-Ops team steps:

  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Mentioned in SAL (#wikimedia-operations) [2023-03-07T07:24:55Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool db1101 (s7,s8) T331381', diff saved to https://phabricator.wikimedia.org/P45172 and previous config saved to /var/cache/conftool/dbconfig/20230307-072454-root.json

Change 894960 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1101: Disable notifications

https://gerrit.wikimedia.org/r/894960

Change 894960 merged by Marostegui:

[operations/puppet@production] db1101: Disable notifications

https://gerrit.wikimedia.org/r/894960

Marostegui changed the task status from Open to Stalled.Mar 7 2023, 7:55 AM

db1101 is temporarely going to be in m3 T331382 T331384

Marostegui changed the task status from Stalled to Open.Mar 8 2023, 8:44 AM
Marostegui changed the task status from Stalled to Open.Apr 5 2023, 7:17 AM

Change 905928 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] db1101: Disable notifications

https://gerrit.wikimedia.org/r/905928

Change 905928 merged by Marostegui:

[operations/puppet@production] db1101: Disable notifications

https://gerrit.wikimedia.org/r/905928

Change 906901 had a related patch set uploaded (by Marostegui; author: Marostegui):

[operations/puppet@production] mariadb: Decommission db1101

https://gerrit.wikimedia.org/r/906901

Change 906901 merged by Marostegui:

[operations/puppet@production] mariadb: Decommission db1101

https://gerrit.wikimedia.org/r/906901

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: db1101.eqiad.wmnet

  • db1101.eqiad.wmnet (FAIL)
    • Downtimed host on Icinga/Alertmanager
    • Found physical host
    • Management interface not found on Icinga, unable to downtime it
    • Failed to wipe swraid, partition-table and filesystem signatures, manual intervention required to make it unbootable: Cumin execution failed (exit_code=2)
    • Powered off
    • [Netbox] Set status to Decommissioning, deleted all non-mgmt IPs, updated switch interfaces (disabled, removed vlans, etc)
    • Configured the linked switch interface(s)
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB

ERROR: some step on some host failed, check the bolded items above

Marostegui updated the task description. (Show Details)
Marostegui edited projects, added ops-eqiad; removed Patch-For-Review.
Marostegui added a subscriber: wiki_willy.

@Volans any advise on how to proceed with the above error? I have been searching on wikitech but I haven't found any follow up to that.

Marostegui added a subscriber: Jclark-ctr.

@Jclark-ctr don't proceed yet with this decommissioning until we've clarified the error.

@Volans any advise on how to proceed with the above error? I have been searching on wikitech but I haven't found any follow up to that.

@Marostegui that means that the decommission cookbook was not able to SSH into the host via cumin to wipe the bootloader. That in turn means that if the host was to be booted up in the future it will come up with the same OS and IP and by that time that IP might have been assigned to another host, etc... at the same time though we also close the port on the switch side, so that's not a big deal.
If you have SSH access to the host you could do the step manually, but also if it's about to be unracked and recycled there is no real need for it.
Normal procedures apply for the actual wipe of the disks.

Thanks @Volans. Yeah, the host is going to be decommissioned entirely, and won't ever come back.

@Jclark-ctr per the above, you can proceed with the last on-site decommissioning steps!